#GenerateRandomLocations

import random
filename ="test_gen_inputdata.yaml"

def GenRndLoc(x_max,y_max,nLoc):
    #create a list of all possible points
    allpoints = []
    for i in range(0,x_max+1):
        for j in range(0,y_max+1):
            allpoints.append([i,j])
    #draw locations from allpoints list, and remove drawn values from list
    LocPos = [[None for a in range(2)] for b in range(nLoc)]
    for n in range(nLoc):
        LocPos[n] = random.choice(allpoints)
        allpoints.remove(LocPos[n])
    LocPos[1]=LocPos[0]
    LocPos[nLoc-1]=LocPos[0]
    return LocPos

def GenLocDict(maxnLoc, x_max,y_max):
    locpoints = {}
    for nloc in range(3,maxnLoc+1):
        locpos = GenRndLoc(x_max, y_max,nloc)
        locpoints.update({(nloc):locpos})
    return locpoints