import itertools

def CanDoTaskInCombination(superResources, task, CapacityRequirement, SRperTask, superResourceCapacityDict, superResource,
               securityResource, nSkills):
    possibleCombinations = itertools.combinations(superResources.keys(), SRperTask-1)
    for superCombo in possibleCombinations:
        canDoTaskCombo = True
        comboCapacityList = superResourceCapacityDict[superResource][:]
        for SB in superCombo:
            if SB != securityResource and SB != superResource:
                for skill in range(0, nSkills):
                    comboCapacityList[skill] += superResourceCapacityDict[SB][skill]
        for skill in range(0, nSkills):
            if CapacityRequirement[task-1][skill] > comboCapacityList[skill]:
                canDoTaskCombo = False
                break
        if canDoTaskCombo:
            return True
    return False
